## golang-goyaml 0.0~bzr50

=== Makefile ===
include $(GOROOT)/src/Make.inc

YAML=yaml-0.1.3
LIBYAML=$(PWD)/$(YAML)/src/.libs/libyaml.a

TARG=launchpad.net/goyaml

GOFILES=\
	goyaml.go\
	resolve.go\

CGOFILES=\
	decode.go\
	encode.go\

CGO_OFILES+=\
	helpers.o\
	api.o\
	scanner.o\
	reader.o\
	parser.o\
	writer.o\
	emitter.o\

GOFMT=gofmt

BADFMT:=$(shell $(GOFMT) -l $(GOFILES) $(CGOFILES) $(wildcard *_test.go))

all: package
gofmt: $(BADFMT)
	@for F in $(BADFMT); do $(GOFMT) -w $$F && echo $$F; done

include $(GOROOT)/src/Make.pkg

ifneq ($(BADFMT),)
ifneq ($(MAKECMDGOALS),gofmt)
$(warning WARNING: make gofmt: $(BADFMT))
endif
endif

=== debian/changelog ===
golang-goyaml (0.0~bzr50-1) unstable; urgency=low

  * Initial package. Closes: #736091.

 -- Vincent Bernat <bernat@debian.org>  Sun, 19 Jan 2014 19:50:25 +0100

=== debian/control ===
Source: golang-goyaml
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 8.0.0),
               dh-golang,
               golang-go,
               golang-gocheck-dev
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-goyaml.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-go/packages/golang-goyaml.git;a=summary
Homepage: https://wiki.ubuntu.com/goyaml

Package: golang-goyaml-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg-dev
Built-Using: ${misc:Built-Using}
Description: YAML support for the Go language
 The goyaml package enables Go programs to very comfortably encode and
 decode YAML values. It was developed within Canonical as part of the
 juju project, and is based on a pure Go port of the well-known libyaml
 C library to parse and generate YAML data quickly and reliably.
 .
 goyaml is almost compatible with YAML 1.1, including support for
 anchors, tags, etc. There are still a few missing bits, such as
 document merging, base-60 floats, and multi-document unmarshalling.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS
export DH_GOPKG := launchpad.net/goyaml

%:
	dh $@ --buildsystem=golang --with=golang

.PHONY: get-orig-source
PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
REV  = $(shell echo $(VER) | perl -ne 'print $$1 if m/~bzr(\d+)$$/')
get-orig-source: $(PKG)_$(VER).orig.tar.xz $(info I: $(PKG)_$(VER))
$(PKG)_$(VER).orig.tar.xz:
	GOPATH=$(PKG)-$(VER) go get -d $(DH_GOPKG)
	cd $(PKG)-$(VER)/src/$(DH_GOPKG) \
	&& bzr revert -r$(REV) \
	&& bzr export $(PKG)-$(VER).tar \
	&& xz $(PKG)-$(VER).tar
	mv $(PKG)-$(VER)/src/$(DH_GOPKG)/$(PKG)-$(VER).tar.xz $@
	rm -rf $(PKG)-$(VER)
